<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: scconf_context Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">scconf_context Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="scconf_8h_source.html">scconf.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aeac90097f29f7529968697163cea5c18"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscconf__context.html#aeac90097f29f7529968697163cea5c18">filename</a></td></tr>
<tr class="separator:aeac90097f29f7529968697163cea5c18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e1795766a80ec63b157951b4b9a7d4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscconf__context.html#ac3e1795766a80ec63b157951b4b9a7d4">debug</a></td></tr>
<tr class="separator:ac3e1795766a80ec63b157951b4b9a7d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76f2e40a18edacf6582156a75296278a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscconf__context.html#a76f2e40a18edacf6582156a75296278a">root</a></td></tr>
<tr class="separator:a76f2e40a18edacf6582156a75296278a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39aebac8fca50ea12a14719c9a36a645"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscconf__context.html#a39aebac8fca50ea12a14719c9a36a645">errmsg</a></td></tr>
<tr class="separator:a39aebac8fca50ea12a14719c9a36a645"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00083">83</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ac3e1795766a80ec63b157951b4b9a7d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3e1795766a80ec63b157951b4b9a7d4">&#9670;&nbsp;</a></span>debug</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int debug</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00085">85</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a39aebac8fca50ea12a14719c9a36a645"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39aebac8fca50ea12a14719c9a36a645">&#9670;&nbsp;</a></span>errmsg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* errmsg</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00087">87</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="aeac90097f29f7529968697163cea5c18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeac90097f29f7529968697163cea5c18">&#9670;&nbsp;</a></span>filename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* filename</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00084">84</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a76f2e40a18edacf6582156a75296278a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76f2e40a18edacf6582156a75296278a">&#9670;&nbsp;</a></span>root</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a>* root</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00086">86</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="scconf_8h_source.html">scconf.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
